Bug 783909

Summary: getting keyerror in tab_dict while building db
Product: [Fedora] Fedora Reporter: Pravin Satpute <psatpute>
Component: ibus-indic-tableAssignee: anish <apatil>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: apatil, i18n-bugs, petersen, psatpute
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-07 01:21:40 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Pravin Satpute 2012-01-23 03:34:12 EST
Description of problem:
see

http://kojipkgs.fedoraproject.org/packages/bengali-typing-booster/0.9.0/2.fc17/data/logs/noarch/build.log

KeyError: u'\u09b0'
Traceback (most recent call last):
  File "/usr/share/ibus-indic-table/engine/tabdict.py", line 62, in __init__
    self._key_id = tab_dict[xm_key]
KeyError: u'\u09bf'
হ is not in tab_dict
ৌ is not in tab_dict
য় is not in tab_dict
া is not in tab_dict
র is not in tab_dict
ি is not in tab_dict
Traceback (most recent call last):
  File "/usr/share/ibus-indic-table/engine/tabdict.py", line 62, in __init__
    self._key_id = tab_dict[xm_key]



Version-Release number of selected component (if applicable):
ibus-indic-table-1.3.1-22.fc16.noarch

How reproducible:
evertime

Steps to Reproduce:
1. clone indic-typing-booster, go to bengali-typing-booster
2. /usr/bin/ibus-indic-table-createdb  -n bengali-phonetic.db -s bengali-phonetic.txt

  
Actual results:
getting errors

Expected results:
should build without any erros

Additional info:
Happening only with phonetic booster tables.
Comment 1 Fedora End Of Life 2013-01-16 05:19:32 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 anish 2013-02-07 01:21:40 EST
ibus-indic-table is no longer used and is replaced with ibus-hunspell-table.